Agora Java API Reference for Android

Public Attributes | List of all members
agora::rtc::RtmpStreamingVideoConfiguration Struct Reference

`#include <NGIAgoraRtmpConnection.h>`

## Public Attributes
int | width
int | height
int | framerate
int | bitrate
int | maxBitrate
int | minBitrate
unsigned int | gopInMs
int | encoderHwSwMode
int | encoderBitrateControlMode
ORIENTATION_MODE | orientationMode

## Detailed Description

Configurations for the RTMP video stream.

## Member Data Documentation

## ◆ width

int agora::rtc::RtmpStreamingVideoConfiguration::width

The width (in pixels) of the video. The default value is 640.

Note
  - The value of the dimension (with the |height| below) does not indicate the orientation mode of the output ratio. For how to set the video orientation, see OrientationMode.

## ◆ height

int agora::rtc::RtmpStreamingVideoConfiguration::height

The height (in pixels) of the video. The default value is 360.

Note
  - The value of the dimension (with the |width| above) does not indicate the orientation mode of the output ratio. For how to set the video orientation, see OrientationMode.

## ◆ framerate

int agora::rtc::RtmpStreamingVideoConfiguration::framerate

Frame rate (fps) of the output video stream to be published. The default value is 15 fps.

## ◆ bitrate

int agora::rtc::RtmpStreamingVideoConfiguration::bitrate

The target bitrate (Kbps) of the output video stream to be published. The default value is 800 Kbps.

## ◆ maxBitrate

int agora::rtc::RtmpStreamingVideoConfiguration::maxBitrate

(For future use) The maximum bitrate (Kbps) for video. The default value is 960 Kbps.

## ◆ minBitrate

int agora::rtc::RtmpStreamingVideoConfiguration::minBitrate

(For future use) The minimum bitrate (Kbps) for video. The default value is 600 Kbps.

## ◆ gopInMs

unsigned int agora::rtc::RtmpStreamingVideoConfiguration::gopInMs

The interval between two keyframes. The default value is 2000ms.

## ◆ encoderHwSwMode

int agora::rtc::RtmpStreamingVideoConfiguration::encoderHwSwMode

Whether the encoder enables hard coding or soft coding. The default value is 0. 0: default 1: hardware encoder 2: software encoder

## ◆ encoderBitrateControlMode

int agora::rtc::RtmpStreamingVideoConfiguration::encoderBitrateControlMode

Whether the encoder enables CBR coding or VBR coding. The default value is 0. 0: CBR 1: VBR

## ◆ orientationMode

ORIENTATION_MODE agora::rtc::RtmpStreamingVideoConfiguration::orientationMode

The orientation mode. See ORIENTATION_MODE.